## pyglet 2.0.10+ds

=== doc/requirements.txt ===
sphinx==5.3.0
sphinx_rtd_theme==1.1.1
readthedocs-sphinx-search==0.1.1
pytest

## pyglet 1.1.4.dfsg

=== debian/changelog ===
pyglet (1.1.4.dfsg-3) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Remove DM-Upload-Allowed; it's no longer used by the archive software.

  [ SVN-Git Migration ]
  * git-dpm config.
  * Update Vcs fields for git migration.

  [ Mattia Rizzolo ]
  * Remove long useless debian/pycompat file.
  * Build using dh-python instead of python-support.  Closes: #786116
  * debian/control: bump standards-version to 3.9.6, no changes needed.
  * debian/copyright:
    + update first paragraph according to copyright-format 1.0.
    + fix missing-license-paragraph-in-dep5-copyright.
  * Bump debian/compat to 9.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 14 Dec 2015 02:18:12 +0000

pyglet (1.1.4.dfsg-2) unstable; urgency=low

  * Rebuild for upload to unstable

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 03 May 2011 18:24:43 -0400

pyglet (1.1.4.dfsg-1) experimental; urgency=low

  * New upstream release (Closes: #532807)
  * debian/copyright:
    - converted to DEP5 format
    - added myself to holders of debian/*
  * debian/control:
    - boosted standards version to 3.9.1.  BSD license included
      verbatim in a debian/copyright now
    - added myself to uploaders
  * debian/rules: get-orig-sources
    - not removing materials with included now copyright, free license
      terms
    - not pruning tools since script is minimal, written by the pyglet
      original author, part of the project, thus is covered by project's
      copyright/license
  * debian/source/format: switch source format to 3.0 (quilt)
  * Introduced patches:
    - up_no_string_exceptions: deduced two types of exceptions appropritate
      for the context to replace deprecated in 2.6 string exceptions
      (Closes: #585316)
    - up_typo_have_getprocaddress: minor typo
    - up_no_standard_config_available: use find_library first -- workaround
      the issue for NVidia GLX libraries (Closes: #584548)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 25 Dec 2010 22:25:44 -0500

pyglet (1.1.2.dfsg-3) UNRELEASED; urgency=low

  * debian/control
    - removed Ondrej from Uploaders: thanks for your work!

 -- Sandro Tosi <morph@debian.org>  Fri, 09 Oct 2009 22:56:40 +0200

pyglet (1.1.2.dfsg-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Stephan Peijnik ]
  * debian/watch
    - Fixed version mangling.
  * debian/control
    - Fixed Recommends for libopenal1 (was: libopenal0a) as reported 
      by debcheck.
  * debian/copyright
    - Replaced (C) with copyright sign for Debian packaging work notice.

 -- Stephan Peijnik <debian@sp.or.at>  Thu, 19 Feb 2009 07:34:06 +0100

pyglet (1.1.2.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/rules: get-orig-sources now also removes the documentation
    due to unclean licensing in pyglet-1.1.2.
  * Added PYGLET_VERSION variable in debian/rules to simplify 
    updating of get-orig-sources.

 -- Stephan Peijnik <debian@sp.or.at>  Fri, 31 Oct 2008 00:29:13 +0100

pyglet (1.1.1.dfsg.2-1) unstable; urgency=low

  * Removed examples broken by the removal of non-free files as per the
  upstream maintainer's request.
  * Updated debian/copyright: 
    - Removed notices for files not in upstream tarball anymore.
    - Added myself to copyright holders of Debian packaging.
  * Updated debian/rules:
    - Repackaging as pyglet-1.1.1.dfsg.2.

 -- Stephan Peijnik <debian@sp.or.at>  Tue, 16 Sep 2008 11:48:42 +0200

pyglet (1.1.1.dfsg-1) unstable; urgency=low

  [ Stephan Peijnik ]
  * New upstream release (Closes: #494367).
  * Updated debian/control: 
    - Added myself as uploader. 
    - Updated Standards-Version.
  * Updated debian/rules: Updated get-orig-sources to remove non-free examples.
  * Updated debian/TODO: 
    - Removed note about documentation
    - Added information about non-free files being removed.
  * Updated debian/watch: Added dversionmangle option.

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 14 Sep 2008 23:56:18 +0200

pyglet (1.0.dfsg-1) unstable; urgency=low

  [ Michael Hanke ]
  * Initial release (Closes: #459729).
  * The whole debian packaging, except the changes described below:

  [ Ondrej Certik ]
  * debian/watch fixed to work with the latest pyglet release (1.0)
  * maintainer changed to Debian Python Modules Team
  * Vcs-Browser and Vcs-Svn fields changed to the DPMT svn repository
  * Ondrej Certik added to uploaders
  * DM-Upload-Allowed: yes field added
  * get-orig-sources rule added to debian/rules to create the dfsg.orig.tar.gz 

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 16 Feb 2008 13:13:35 +0100

=== debian/control ===
Source: pyglet
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Hanke <michael.hanke@gmail.com>,
	   Per B. Sederberg <psederberg@gmail.com>,
	   Stephan Peijnik <debian@sp.or.at>,
	   Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: cdbs, debhelper (>= 9), dh-python, python
Standards-Version: 3.9.6
Homepage: http://www.pyglet.org
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pyglet.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyglet.git
X-Python-Version: >= 2.4

Package: python-pyglet
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, python-ctypes | python (>= 2.5), libgtk2.0-0, libgl1 | libgl1-mesa-swx11, libglu1 | libglu1-mesa, ${misc:Depends}
Recommends: libasound2 | libopenal1
Provides: ${python:Provides}
Description: cross-platform windowing and multimedia library
 This library provides an object-oriented programming interface for developing
 games and other visually-rich applications with Python.
 pyglet has virtually no external dependencies. For most applications and game
 requirements, pyglet needs nothing else besides Python, simplifying
 distribution and installation. It also handles multiple windows and
 fully aware of multi-monitor setups.
 .
 pyglet might be seen as an alternative to PyGame.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE := .py
DEB_INSTALL_CHANGELOGS_ALL := CHANGELOG
PYGLET_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p' | sed -rne 's,\.dfsg.*$\,,p')

get-orig-sources:
	wget http://pyglet.googlecode.com/files/pyglet-$(PYGLET_VERSION).tar.gz
	tar xzf pyglet-$(PYGLET_VERSION).tar.gz
	# Remove examples with unclean licensing.
	#
	# Resources (images, sound files, etc.) needed by these examples
	# have no license attached and thus are non-free.
	rm -rf pyglet-$(PYGLET_VERSION)/examples/astraea/
	rm -rf pyglet-$(PYGLET_VERSION)/examples/noisy/
	rm -f pyglet-$(PYGLET_VERSION)/examples/programming_guide/dinosaur.gif
	rm -f pyglet-$(PYGLET_VERSION)/examples/programming_guide/kitten.jpg

	# Remove doc/ folder completely -- compiled material which might use
	# above non-free content. Present in pyglet-1.1.[24].
	rm -rf pyglet-$(PYGLET_VERSION)/doc

	# Remove included log dumps since we are modifying archive anyways
	rm -f pyglet-$(PYGLET_VERSION)/tests/pyglet.1.log
	rm -f pyglet-$(PYGLET_VERSION)/examples/crashy

	tar czf pyglet_$(PYGLET_VERSION).dfsg.orig.tar.gz pyglet-$(PYGLET_VERSION)
	rm -r pyglet-$(PYGLET_VERSION) pyglet-$(PYGLET_VERSION).tar.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg$// \
     http://code.google.com/p/pyglet/ \
     http://pyglet.googlecode.com/files/pyglet-(.*)\.tar\.gz

## pyglet 1.1.4.dfsg+hg20110428

=== debian/changelog ===
pyglet (1.1.4.dfsg+hg20110428-1) experimental; urgency=low

  * Non-maintainer upload.
  * update to latest hg version
  * debian/patches:
    - refresh up_no_string_exceptions
    - drop up_typo_have_getprocaddress
    - drop up_no_standard_config_available

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Sat, 30 Apr 2011 21:28:00 +0400

## pyglet 1.3.0~rc1

=== debian/changelog ===
pyglet (1.3.0~rc1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Yaroslav Halchenko ]
  * Fresh upstream rc (Closes: #786897, #871487)
    - resolves some of the segfaulting issues (Closes: #864936)
  * d/watch - point to pypi
  * d/patch - only 1 left not upstreamed (minor - string exception, PR sent)
  * d/rules + changelog -- no .dfsg suffix any longer.  It seems that all the
    materials previously removed carry statement of copyright/license of the
    main project
  * d/control - boosted policy to 3.9.8, removed obsolete min Python version
    specification
  * d/control,rules - run at least some of the upstream unittests

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 Aug 2017 01:30:59 -0400

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 	   Per B. Sederberg <psederberg@gmail.com>,
 	   Stephan Peijnik <debian@sp.or.at>,
 	   Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: cdbs, debhelper (>= 9), dh-python, python
-Standards-Version: 3.9.6
+Build-Depends: cdbs, debhelper (>= 9), dh-python, python, python-setuptools,
+  python-pytest, libgl1-mesa-dev, libglu1-mesa, libfontconfig1,
+  xvfb, xauth, libgl1-mesa-dri, 
+Standards-Version: 3.9.8
 Homepage: http://www.pyglet.org
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pyglet.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyglet.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyglet.git
-X-Python-Version: >= 2.4
 
 Package: python-pyglet
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
     http://pypi.debian.net/pyglet/pyglet-(.*).tar.gz

## pyglet 1.3.0

=== debian/changelog ===
pyglet (1.3.0-2.1) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * No strings exceptions is allowed in Python2.6

  [ Reinhard Tartler ]
  * Non-Maintainer upload.
  * Disable ClockTimingTestCase (Closes: #929697)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 02 Jun 2019 15:17:34 -0400

pyglet (1.3.0-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Team upload
  * Drop obsolete provides and depends
  * Enhance package long descriptions
  * Update debian/copyright

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Adam Cecile ]
  * Port from CDBS to DH.
  * Enable integration unit tests.
  * Provide Python 3 packages (Closes: #822766).

 -- Scott Kitterman <scott@kitterman.com>  Fri, 01 Mar 2019 22:45:26 -0500

pyglet (1.3.0-1) unstable; urgency=medium

  * The released version

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 04 Jan 2018 17:15:56 -0500

pyglet (1.3.0~rc1-2) unstable; urgency=medium

  * Petter Reinholdtsen added python-future to Depends
    (Closes: #878011)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 16 Oct 2017 17:49:18 -0400

=== debian/control ===
Source: pyglet
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Hanke <michael.hanke@gmail.com>,
           Per B. Sederberg <psederberg@gmail.com>,
           Stephan Peijnik <debian@sp.or.at>,
           Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               libfontconfig1,
               libgl1-mesa-dev,
               libgl1-mesa-dri,
               libglu1-mesa,
               python3-all, python-all,
               python3-pytest, python-pytest,
               python3-setuptools, python-setuptools,
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: http://www.pyglet.org
Vcs-Git: https://salsa.debian.org/python-team/modules/pyglet.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyglet

Package: python-pyglet
Architecture: all
Depends: libgl1 | libgl1-mesa-swx11,
         libglu1 | libglu1-mesa,
         libgtk2.0-0,
         python-future,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: libasound2 | libopenal1
Description: cross-platform windowing and multimedia library (Python 2)
 This library provides an object-oriented programming interface for developing
 games and other visually-rich applications with Python.
 pyglet has virtually no external dependencies. For most applications and game
 requirements, pyglet needs nothing else besides Python, simplifying
 distribution and installation. It also handles multiple windows and
 fully aware of multi-monitor setups.
 .
 pyglet might be seen as an alternative to PyGame.
 .
 This is the Python 2 version.

Package: python3-pyglet
Architecture: all
Depends: libgl1 | libgl1-mesa-swx11,
         libglu1 | libglu1-mesa,
         libgtk2.0-0,
         python3-future,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: libasound2 | libopenal1
Description: cross-platform windowing and multimedia library (Python 3)
 This library provides an object-oriented programming interface for developing
 games and other visually-rich applications with Python.
 pyglet has virtually no external dependencies. For most applications and game
 requirements, pyglet needs nothing else besides Python, simplifying
 distribution and installation. It also handles multiple windows and
 fully aware of multi-monitor setups.
 .
 pyglet might be seen as an alternative to PyGame.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

XVFB_OPTS=--auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset"

EXCLUDED_TESTS :=
# Non-interactive tests
EXCLUDED_TESTS += not interactive
# PulseAudio related
EXCLUDED_TESTS += and not PulseAudio
EXCLUDED_TESTS += and not test_pulse
# Failing for unknown reason but looks harmless
EXCLUDED_TESTS += and not test_freetype_face
# These ones are failing in cowbuilder
# Fonts are related to missing "arial" font which is normal
# Driver one looks being related to not having ALSA stuff
# IssueNNN raises StopIteration
EXCLUDED_TESTS += and not test_fontconfig
EXCLUDED_TESTS += and not test_linux_fontconfig
EXCLUDED_TESTS += and not test_driver
EXCLUDED_TESTS += and not test_issue429
EXCLUDED_TESTS += and not test_issue241
EXCLUDED_TESTS += and not test_issue471
# cf. #929697
EXCLUDED_TESTS += and not ClockTimingTestCase

export PYBUILD_NAME=pyglet
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=>/dev/null 2>&1; cd {build_dir}; xvfb-run $(XVFB_OPTS) python{version} -m pytest -v -k "$(EXCLUDED_TESTS)"

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
     https://pypi.debian.net/pyglet/pyglet-(.*).tar.gz

## pyglet 1.4.10

=== debian/changelog ===
pyglet (1.4.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * New upstream release
    - ensure compatibility with python 3.8; Closes: #950039
  * debian/watch
    - update to detect even latest upstream releases
  * debian/copyright
    - add proper upstream copyright notice
  * debian/patches
    - drop, refresh, update patches
  * Drop python2 support; Closes: #937445
  * debian/rules
    - exclude also test_player_silent_audio_driver tests
  * debian/docs
    - install README.md, renamed from README

 -- Sandro Tosi <morph@debian.org>  Mon, 03 Feb 2020 01:55:30 -0500

pyglet (1.4.1-3) unstable; urgency=medium

  * Belatedly acknowledge 1.3.0-2.1 NMU from Reinhard Tartler.  Disable
    ClockTimingTestCase for build reproducibility.  Closes: #929697.
  * Stop shipping extlibs/ in the binary packages and depend on the
    png and future modules instead.
  * Update library dependencies based on load_library calls.
  * Bump policy version to 4.4.0; no changes needed.

 -- Mark Hymers <mhy@debian.org>  Thu, 29 Aug 2019 20:54:18 +0100

pyglet (1.4.1-2) unstable; urgency=medium

  * Fix FTBFS by adding python-pytest and python3-pytest Build-Deps.

 -- Mark Hymers <mhy@debian.org>  Thu, 29 Aug 2019 01:31:53 +0100

pyglet (1.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/changelog: Remove trailing whitespaces.

  [ Mark Hymers ]
  * Update to upstream version 1.4.1
  * Drop patch "up_no_string_exceptions" as merged upstream
  * Add Recommends on libpulse0 for optional use in lib_pulseaudio.py.
  * Add 0001-Add-missing-import.patch and 0002-Handle-renaming-of-function.patch
    to fix test suite failures.
  * Re-instate running of font tests.
  * Update clean target to remove test cache.
  * Fix copyright file syntax error.
  * Add Build-Dependency on libpulse0.

 -- Mark Hymers <mhy@debian.org>  Mon, 26 Aug 2019 18:34:50 +0100

=== debian/control ===
Source: pyglet
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Hanke <michael.hanke@gmail.com>,
           Per B. Sederberg <psederberg@gmail.com>,
           Stephan Peijnik <debian@sp.or.at>,
           Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper-compat (= 9),
               dh-python,
               libavcodec-dev, libavformat-dev, libavutil-dev,
               libfreetype6-dev,
               libfontconfig1-dev,
               libgtk2.0-dev,
               libgdk-pixbuf2.0-dev,
               libgl1-mesa-dev,
               libgl1-mesa-dri,
               libglu1-mesa,
               libswresample-dev, libswscale-dev,
               libpulse-dev,
               libx11-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxxf86vm-dev,
               python3-all,
               python3-future,
               python3-setuptools,
               python3-png,
               python3-pytest,
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: http://www.pyglet.org
Vcs-Git: https://salsa.debian.org/python-team/modules/pyglet.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyglet

Package: python3-pyglet
Architecture: all
Depends: libavcodec58, libavformat58, libavutil56,
         libfreetype6,
         libgdk-pixbuf2.0-0,
         libgtk2.0-0,
         libgl1 | libgl1-mesa-swx11,
         libglu1 | libglu1-mesa,
         libswresample3, libswscale5,
         libx11-6,
         libxext6,
         libxi6,
         libxinerama1,
         libxxf86vm1,
         python3-future,
         python3-png,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: libasound2 | libopenal1, libpulse0
Description: cross-platform windowing and multimedia library (Python 3)
 This library provides an object-oriented programming interface for developing
 games and other visually-rich applications with Python.
 pyglet has virtually no external dependencies. For most applications and game
 requirements, pyglet needs nothing else besides Python, simplifying
 distribution and installation. It also handles multiple windows and
 fully aware of multi-monitor setups.
 .
 pyglet might be seen as an alternative to PyGame.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

XVFB_OPTS=--auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset"

EXCLUDED_TESTS :=
# Non-interactive tests
EXCLUDED_TESTS += not interactive
# PulseAudio related
EXCLUDED_TESTS += and not PulseAudio
EXCLUDED_TESTS += and not test_pulse
EXCLUDED_TESTS += and not test_player_play
EXCLUDED_TESTS += and not test_player_play_multiple
# test suite just stops
EXCLUDED_TESTS += and not test_player_silent_audio_driver

# Failing for unknown reason but looks harmless
EXCLUDED_TESTS += and not test_freetype_face
# These ones are failing in cowbuilder
# Fonts are related to missing "arial" font which is normal
# Driver one looks being related to not having ALSA stuff
EXCLUDED_TESTS += and not test_fontconfig
EXCLUDED_TESTS += and not test_linux_fontconfig
EXCLUDED_TESTS += and not test_driver
# Can't test openal in cowbuilder
EXCLUDED_TESTS += and not test_openal
# cf. #929697
EXCLUDED_TESTS += and not ClockTimingTestCase

export PYBUILD_NAME=pyglet
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=>/dev/null 2>&1; cd {build_dir}; xvfb-run $(XVFB_OPTS) python{version} -m pytest -v -k "$(EXCLUDED_TESTS)"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean

	rm -fr .pytest_cache/

=== debian/watch ===
version=3
https://pypi.debian.net/pyglet/pyglet-([\d\.]+)@ARCHIVE_EXT@

## pyglet 1.5.14

=== debian/changelog ===
pyglet (1.5.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Document ignoring interactive tests
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jan 2021 13:29:13 +0100

pyglet (1.4.10-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael R. Crusoe ]
  * debian/rules: better skip of the interactive tests
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * debian/docs: don't ship the nonexistant docs directory

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Jan 2021 09:49:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: pyglet
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>,
            Per B. Sederberg <psederberg@gmail.com>,
            Stephan Peijnik <debian@sp.or.at>,
            Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper-compat (= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libavcodec-dev, libavformat-dev, libavutil-dev,
                libfreetype6-dev,
@@ -30,10 +31,11 @@
                python3-pytest,
                xauth,
                xvfb
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: http://www.pyglet.org
-Vcs-Git: https://salsa.debian.org/python-team/modules/pyglet.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pyglet
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/pyglet.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pyglet
 
 Package: python3-pyglet
 Architecture: all

=== debian/watch ===
version=4
https://pypi.debian.net/pyglet/pyglet-([\d\.]+)@ARCHIVE_EXT@

## pyglet 1.5.26+ds

=== debian/changelog ===
pyglet (1.5.26+ds-2) unstable; urgency=medium

  * Team upload.
  * Manually update library dependencies (Closes: #1004587)

 -- Timo Röhling <roehling@debian.org>  Wed, 06 Jul 2022 14:24:31 +0200

pyglet (1.5.26+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.26+ds
    - Fix build error with ffmpeg 5 (Closes: #1004587)
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Jul 2022 19:08:06 +0200

pyglet (1.5.14-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Replace libgdk-pixbuf2.0-0 dependency.
    (Closes: #992262)
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Nov 2021 09:12:25 -0500

=== debian/control ===
Source: pyglet
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Hanke <michael.hanke@gmail.com>,
           Per B. Sederberg <psederberg@gmail.com>,
           Stephan Peijnik <debian@sp.or.at>,
           Yaroslav Halchenko <debian@onerussian.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libavcodec-dev, libavformat-dev, libavutil-dev,
 libfontconfig-dev,
 libfreetype6-dev,
 libgl1-mesa-dev,
 libgl1-mesa-dri,
 libglu1-mesa,
 libpulse-dev,
 libswresample-dev,
 libswscale-dev,
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libxinerama-dev,
 libxxf86vm-dev,
 python3-all,
 python3-png,
 python3-pytest,
 python3-setuptools,
 xauth,
 xvfb,
Standards-Version: 4.6.1
Homepage: http://www.pyglet.org
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/pyglet.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyglet

Package: python3-pyglet
Architecture: all
Depends:
 libavcodec59,
 libavformat59,
 libavutil57,
 libfontconfig1,
 libfreetype6,
 libgl1 | libgl1-mesa-swx11,
 libglu1 | libglu1-mesa,
 libswresample4,
 libswscale6,
 libx11-6,
 libxext6,
 libxi6,
 libxinerama1,
 libxxf86vm1,
 python3-pillow,
 python3-png,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: libopenal1, libpulse0, libgdk-pixbuf-2.0-0
Description: cross-platform windowing and multimedia library (Python 3)
 This library provides an object-oriented programming interface for developing
 games and other visually-rich applications with Python.
 pyglet has virtually no external dependencies. For most applications and game
 requirements, pyglet needs nothing else besides Python, simplifying
 distribution and installation. It also handles multiple windows and
 fully aware of multi-monitor setups.
 .
 pyglet might be seen as an alternative to PyGame.
 .
 This is the Python 3 version.

## pyglet 1.5.27+ds

=== debian/changelog ===
pyglet (1.5.27+ds-2) unstable; urgency=medium

  * Team upload.
  * Skip test that breaks with Python 3.11 (Closes: #1026690)

 -- Timo Röhling <roehling@debian.org>  Wed, 21 Dec 2022 23:02:05 +0100

pyglet (1.5.27+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.27+ds
  * Drop dependency on libgdk-pixbuf-2.0-0 (Closes: #967714)

 -- Timo Röhling <roehling@debian.org>  Thu, 13 Oct 2022 22:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Recommends: libopenal1, libpulse0, libgdk-pixbuf-2.0-0
+Recommends: libopenal1, libpulse0
 Description: cross-platform windowing and multimedia library (Python 3)
  This library provides an object-oriented programming interface for developing
  games and other visually-rich applications with Python.

=== debian/rules ===
--- 
+++ 
@@ -26,9 +26,13 @@
 # cf. #929697
 EXCLUDED_TESTS += and not ClockTimingTestCase
 
+# Exclude interactive tests which are mostly just stressing the OpenGL drivers (which is not very useful in this scenario)
+#  see https://github.com/pyglet/pyglet/issues/346#issuecomment-769692934
+EXCLUDED_TEST_GROUPS = --ignore=tests/interactive
+
 export PYBUILD_NAME=pyglet
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=>/dev/null 2>&1; cd {build_dir}; xvfb-run $(XVFB_OPTS) python{version} -m pytest -v -k "$(EXCLUDED_TESTS)"
+export PYBUILD_TEST_ARGS=>/dev/null 2>&1; cd {build_dir}; xvfb-run $(XVFB_OPTS) python{version} -m pytest -v -k "$(EXCLUDED_TESTS)" $(EXCLUDED_TEST_GROUPS)
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## pyglet 2.0.9+ds

=== debian/changelog ===
pyglet (2.0.9+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.9+ds
  * Update d/copyright
  * Refresh patches
  * Bump dependencies for ffmpeg 6 (Closes: #1042408)
  * Simplify d/rules and use pybuild-autopkgtest
  * Stop build-depending on obsolete packages
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Sat, 29 Jul 2023 23:48:56 +0200

## pyglet 2.0.10%2Bds

=== debian/changelog ===
pyglet (2.0.10+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.10+ds
  * Drop obsolete Python 3.11 compat patch

 -- Timo Röhling <roehling@debian.org>  Mon, 13 Nov 2023 00:54:51 +0100

## pyglet 2.0.10+ds

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: pyglet
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>,
@@ -9,11 +9,13 @@
            Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
- libavcodec-dev, libavformat-dev, libavutil-dev,
+ dh-sequence-python3,
+ libavcodec-dev,
+ libavformat-dev,
+ libavutil-dev,
  libfontconfig-dev,
- libfreetype6-dev,
- libgl1-mesa-dev,
+ libfreetype-dev,
+ libgl-dev,
  libgl1-mesa-dri,
  libglu1-mesa,
  libpulse-dev,
@@ -30,7 +32,7 @@
  python3-setuptools,
  xauth,
  xvfb,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://www.pyglet.org
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyglet.git
@@ -39,15 +41,15 @@
 Package: python3-pyglet
 Architecture: all
 Depends:
- libavcodec59,
- libavformat59,
- libavutil57,
+ libavcodec60 | libavcodec59 | libavcodec58,
+ libavformat60 | libavformat59 | libavformat58,
+ libavutil58 | libavutil57 | libavutil56,
  libfontconfig1,
  libfreetype6,
  libgl1 | libgl1-mesa-swx11,
  libglu1 | libglu1-mesa,
- libswresample4,
- libswscale6,
+ libswresample4 | libswresample3,
+ libswscale7 | libswscale6 | libswscale5,
  libx11-6,
  libxext6,
  libxi6,

=== debian/rules ===
--- 
+++ 
@@ -31,13 +31,9 @@
 EXCLUDED_TEST_GROUPS = --ignore=tests/interactive
 
 export PYBUILD_NAME=pyglet
-export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=>/dev/null 2>&1; cd {build_dir}; xvfb-run $(XVFB_OPTS) python{version} -m pytest -v -k "$(EXCLUDED_TESTS)" $(EXCLUDED_TEST_GROUPS)
+export PYBUILD_TEST_CUSTOM=1
+export PYBUILD_TEST_ARGS=xvfb-run $(XVFB_OPTS) python{version} -m pytest -v -k "$(EXCLUDED_TESTS)" $(EXCLUDED_TEST_GROUPS)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean
-
-	rm -fr .pytest_cache/

## pyglet 2.0.15+ds

=== debian/changelog ===
pyglet (2.0.15+ds-1ubuntu1) oracular; urgency=medium

  * Update ffmpeg sonames in dependencies.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Sep 2024 20:29:38 +0000

pyglet (2.0.15+ds-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:22:45 +0200

pyglet (2.0.15+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.15+ds
  * Bump Standards-Version to 4.7.0
  * Migrate to PEP 517 build

 -- Timo Röhling <roehling@debian.org>  Thu, 11 Apr 2024 12:11:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>,
            Per B. Sederberg <psederberg@gmail.com>,
            Stephan Peijnik <debian@sp.or.at>,
@@ -10,6 +11,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ flit,
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
@@ -26,13 +28,14 @@
  libxi-dev,
  libxinerama-dev,
  libxxf86vm-dev,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-png,
  python3-pytest,
  python3-setuptools,
  xauth,
  xvfb,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.pyglet.org
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyglet.git
@@ -41,15 +44,15 @@
 Package: python3-pyglet
 Architecture: all
 Depends:
- libavcodec60 | libavcodec59 | libavcodec58,
- libavformat60 | libavformat59 | libavformat58,
- libavutil58 | libavutil57 | libavutil56,
+ libavcodec61,
+ libavformat61,
+ libavutil59,
  libfontconfig1,
  libfreetype6,
  libgl1 | libgl1-mesa-swx11,
  libglu1 | libglu1-mesa,
- libswresample4 | libswresample3,
- libswscale7 | libswscale6 | libswscale5,
+ libswresample5,
+ libswscale8,
  libx11-6,
  libxext6,
  libxi6,

## pyglet 2.0.17%2Bds

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>,
            Per B. Sederberg <psederberg@gmail.com>,
            Stephan Peijnik <debian@sp.or.at>,
@@ -44,15 +43,10 @@
 Package: python3-pyglet
 Architecture: all
 Depends:
- libavcodec61,
- libavformat61,
- libavutil59,
  libfontconfig1,
  libfreetype6,
  libgl1 | libgl1-mesa-swx11,
  libglu1 | libglu1-mesa,
- libswresample5,
- libswscale8,
  libx11-6,
  libxext6,
  libxi6,
@@ -63,7 +57,15 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Recommends: libopenal1, libpulse0
+Recommends:
+ libopenal1,
+ libpulse0,
+Suggests:
+ libavcodec60 | libavcodec59 | libavcodec58,
+ libavformat60 | libavformat59 | libavformat58,
+ libavutil58 | libavutil57 | libavutil56,
+ libswresample4 | libswresample3,
+ libswscale7 | libswscale6 | libswscale5,
 Description: cross-platform windowing and multimedia library (Python 3)
  This library provides an object-oriented programming interface for developing
  games and other visually-rich applications with Python.

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,9 @@
 EXCLUDED_TESTS += and not test_driver
 # Can't test openal in cowbuilder
 EXCLUDED_TESTS += and not test_openal
-# cf. #929697
-EXCLUDED_TESTS += and not ClockTimingTestCase
+# cf. #929697/#1092867
+EXCLUDED_TESTS += and not test_elapsed_time_between_tick
+EXCLUDED_TESTS += and not test_compute_fps
 
 # Exclude interactive tests which are mostly just stressing the OpenGL drivers (which is not very useful in this scenario)
 #  see https://github.com/pyglet/pyglet/issues/346#issuecomment-769692934

## pyglet 2.0.17+ds

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	mkdir -p _build/html
	$(SPHINXBUILD) -w $(BUILDDIR)/html/warnings.txt -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pyglet.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pyglet.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pyglet"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pyglet"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pyglet (2.0.17+ds-3) unstable; urgency=medium

  * Team upload.
  * Adjust time-sensitive test exclusions for upstream changes in 1.4.2
    (closes: #1092867).

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Jan 2025 00:13:46 +0000

pyglet (2.0.17+ds-2) unstable; urgency=medium

  * Team upload.
  * Downgrade Recommends for older FFmpeg to Suggests

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Sep 2024 16:42:06 +0200

pyglet (2.0.17+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.17+ds
  * FFmpeg is optional now

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Sep 2024 15:10:33 +0200

=== debian/watch ===
version=4
opts=dversionmangle=auto,oversionmangle=s/$/+ds/,repack \
https://pypi.debian.net/pyglet/pyglet-([\d\.]+)@ARCHIVE_EXT@
